Subject: Re: bug#22789: 25.1.50; In last master build https connections stop working

From: Alain Schneble <[email-masked]>
Date: Sun, 28 Feb 2016 10:58:32 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Alain Schneble <[email-masked]> writes:
>
>> At least for me, it will be an exercise for tomorrow to find the reason
>> why pfn_WSAGetLastError returns 0 in this case.  *snore*
>>
>> Do you agree it shouldn't return 0?
>
> Yes.  That would make more sense.

See my other message in this thread.

> Both I don't think that code path (sys_write) has ever been called
> before on a nonblocking socket.  (Because we've always opened the
> sockets before without O_NONBLOCK, since we've never called
> `make-network-process' with :nowait t before from `open-gnutls-stream'.)

I agree (at least for the gnutls case...).

> So ... is it possible that these functions that w32.c calls just
> don't...  quite work with nonblocking sockets?

It seems so, yes :(  I'll try to find some more time to dive into this
further...